Intel® Aero Platform For UAVs
Peer-to-peer support only
Announcements
This is a peer-to-peer only forum. This forum is not monitored by Intel.
775 Discussions

Building 1.6.2 bitbake error - no librealsense

DGona
Beginner
1,463 Views

Hi,

Trying to build yocto image (because I want to put a new driver in) following this guide:

Followed it exactly but i get this error: https://github.com/intel-aero/meta-intel-aero/wiki/96-(References)-Rebuild-Yocto 96 (References) Rebuild Yocto · intel-aero/meta-intel-aero Wiki · GitHub

user@ubuntu:~/intel_aero/poky/build$ bitbake intel-aero-image

Parsing recipes: 100% |# | Time: 0:04:01

Parsing of 2023 .bb files complete (0 cached, 2023 parsed). 2795 targets, 145 skipped, 1 masked, 0 errors.

WARNING: No recipes available for:

/home/pf/intel_aero/poky/../meta-intel-realsense/recipes-kernel/linux/linux-intel-rt_4.14.bbappend

/home/pf/intel_aero/poky/../meta-intel-realsense/recipes-kernel/linux/linux-intel_4.14.bbappend

/home/pf/intel_aero/poky/../meta-intel-realsense/recipes-kernel/linux/linux-yocto-rt_4.12.bbappend

/home/pf/intel_aero/poky/../meta-intel-realsense/recipes-kernel/linux/linux-yocto-rt_4.14.bbappend

/home/pf/intel_aero/poky/../meta-intel-realsense/recipes-kernel/linux/linux-yocto-rt_4.15.bbappend

/home/pf/intel_aero/poky/../meta-intel-realsense/recipes-kernel/linux/linux-yocto_4.12.bbappend

/home/pf/intel_aero/poky/../meta-intel-realsense/recipes-kernel/linux/linux-yocto_4.14.bbappend

/home/pf/intel_aero/poky/../meta-intel-realsense/recipes-kernel/linux/linux-yocto_4.15.bbappend

/home/pf/intel_aero/poky/../meta-intel-aero/recipes-support/librealsense/librealsense_1.12.1.bbappend

NOTE: Resolving any missing task queue dependencies

ERROR: Nothing RPROVIDES 'librealsense' (but /home/pf/intel_aero/poky/../meta-intel-aero/recipes-core/images/intel-aero-image.bb RDEPENDS on or otherwise requires it)

NOTE: Runtime target 'librealsense' is unbuildable, removing...

Missing or unbuildable dependency chain was: ['librealsense']

ERROR: Required build target 'intel-aero-image' has no buildable providers.

Missing or unbuildable dependency chain was: ['intel-aero-image', 'librealsense']

Summary: There was 1 WARNING message shown.

Summary: There were 2 ERROR messages shown, returning a non-zero exit code.

Havn't build a yocto image or using bitbake before, any ideas? Figured the default process and instructions should just work

Thanks

Dion

0 Kudos
1 Solution
idata
Community Manager
410 Views

Hi Dion,

There were changes to the Intel RealSense Github and we need to update our source file to pull from the right branch. In short, librealsense (v1) was moved to legacy and librealsense2 (v2) is the master branch.

Take a look at this thread: /message/553783# 553783 https://communities.intel.com/message/553783 the correct answer shows the steps to get a successful build.

Regards,

 

Jesus

 

Intel Customer Support

View solution in original post

1 Reply
idata
Community Manager
411 Views

Hi Dion,

There were changes to the Intel RealSense Github and we need to update our source file to pull from the right branch. In short, librealsense (v1) was moved to legacy and librealsense2 (v2) is the master branch.

Take a look at this thread: /message/553783# 553783 https://communities.intel.com/message/553783 the correct answer shows the steps to get a successful build.

Regards,

 

Jesus

 

Intel Customer Support
Reply